Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	This plugin makes it possible to take periodical breaks from the computer
Name:		xfce4-time-out-plugin
Version:	0.1.1
Release:	2
License:	GNU/GPL
URL:		http://xfce-goodies.berlios.de
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: xfce4-panel-devel

%description
This plugin makes it possible to take periodical breaks from the computer 
every X minutes. During breaks it locks your screen. It optionally allows 
you to postpone breaks for a certain time. 

The idea is inherited from DrWright, a plugin for GNOME.

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libexecdir/xfce4/panel-plugins/xfce4-time-out-plugin
%_datadir/icons/hicolor/*/apps/xfce4-time-out-plugin.*g
%_datadir/locale/*/LC_MESSAGES/xfce4-time-out-plugin.mo
%_datadir/xfce4/panel-plugins/xfce4-time-out-plugin.desktop

%changelog
* Tue Mar 17 2009 Christian Wasem <wasem@ccux-linux.de> 0.1.1-2
- Rebuild Against XFCE 4.6.0
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.1.1-1
- Initial Release
